<?php
ini_set('error_reporting', E_ALL);
require('commun.inc');
// Logo here
define ('_LOGO', "vespa.png");
// Title here
define ('_ALBUM', "VeSPA");
// Base folder here
define ('_FOLDER', "fotos");
// Colors here (RGB values, between 30 and 225 for each)
define ('_CR', rand(30,75) );
define ('_CG', rand(30,75) );
define ('_CB', rand(30,75) );
// height of the thumbnails
define ('_MINI_HEIGHT', 64 );

switch (substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2)) {
    case 'en':
    default :
	define ('_FS', "SLIDESHOW");
	define ('_RC', "RECURSIVE");
	define ('_AIDE', "HELP");
	define ('_RETOUR', "BACK");
	define ('_PAR', "by");
        break;
    case 'fr':
	define ('_FS', "DIAPORAMA");
	define ('_RC', "RECURSIF");
	define ('_AIDE', "AIDE");
	define ('_RETOUR', "RETOUR");
	define ('_PAR', "par");
	setlocale(LC_TIME, "fr_FR.UTF-8");
        break;
    case 'pt':
	define ('_FS', "APRESENTAÇÃO DE SLIDES");
	define ('_RC', "RECURSIVO");
	define ('_AIDE', "AJUDA");
	define ('_RETOUR', "VOLTAR");
	define ('_PAR', "por");
	setlocale(LC_TIME, "pt_PT.UTF-8");
        break;
}
//////////////////////////////////////////////////////////////////////////////////////
/* ---- Convertit une couleur RGB augmentée de $valeur en HEXADECIMAL ---- */
function hex_color($valeur){
		return sprintf("%02X%02X%02X", _CR+$valeur, _CG+$valeur, _CB+$valeur);
	}

//////////////////////////////////////////////////////////////////////////////////////
/* ---- Lie les dossiers à des URL ---- */
function url_dossier($dossier){
	$tab=explode('/',$dossier);
	$chemin=array_shift($tab);
	$ret='<a href="'.$_SERVER['PHP_SELF'].'">'._ALBUM.'</a>::';
	foreach ( $tab as $url ) {
		$chemin.='/'.$url;
		$ret.="<a href=\"" .$_SERVER['PHP_SELF']. "?dossier=$chemin\">$url</a>::";
	}
	return $ret;
}
//////////////////////////////////////////////////////////////////////////////////////
/* ---- Liste les dossiers d'un dossier ---- */
function show_dossier($dossier,$file_name){
	if (!ereg ("(.*)\.", $file_name)
              && ( '_gsdata_' != $file_name ) // pour bertrand ;-) 
              && is_dir("$dossier/$file_name") ) {
		$ligne="$dossier/$file_name";
		$dir=opendir("./$ligne");
		$img=''; //pour les dossiers sans images
		while (false !== ($jpg = readdir($dir))) {
			if (ereg (_IMAGES_ACCEPTEES, $jpg)) {
				if (!file_exists("mini/$ligne/$jpg")) {
					cree_mini("$ligne",$jpg,'mini',_MINI_HEIGHT,0);
				}
				$img="<img src=\"mini/$ligne/$jpg\" height=16 border=0>";
				break;
			}
			
		}
		
		return "<tr><td align=right>
				<a href=\"" .$_SERVER['PHP_SELF']. "?dossier=$ligne\">
				$img</a>
			</td>
			<td align=left>
				<a href=\"" .$_SERVER['PHP_SELF']. "?dossier=$ligne\">
				$file_name
			</a></td></tr>";
	}
	else return '';
}
//////////////////////////////////////////////////////////////////////////////////////
/* ---- Affiche les photos et les dossiers d'un dossier ---- */
function show_photos($dossier,$nom,$dossierjoli){
  $mini_existe=0;			// Pas de miniatures par défaut
  $parent = substr_replace($dossier,"",strrpos($dossier,"/"));

  // Recherche d'éventuelles miniatures et de dossiers
  $dir=opendir("./$dossier");
  $echo="<table>";
  // Tri alphabétique des fichiers
  while (false !== ($filename = readdir($dir))) $files[] = $filename;
  sort($files);//tri croissant

  // affichage des dossiers en ordre décroissant
  $dossiers=array_reverse($files);
  foreach ($dossiers as $file_name) $echo.=show_dossier($dossier,$file_name);
  closedir($dir);
  $echo.="</table>";

  // Affichage des miniatures
  foreach ($files as $file_name) {
    $file_url = str_replace("&","ecomercial",$file_name);
    if (ereg (_IMAGES_ACCEPTEES, $file_name)) {
      if (!file_exists("mini/$dossier/$file_name"))
        cree_mini($dossier,$file_name,'mini',_MINI_HEIGHT,0);
      $file_ogv = substr_replace($file_name, 'ogv', strlen($file_name)-3);
      if (file_exists("$dossier/$file_ogv"))
        $file_url=substr_replace($file_url, 'ogv', strlen($file_url)-3);
      else
        $jpg_existe=1;
      $echo.="<a href=\"" .$_SERVER['PHP_SELF']. "?dossier=$dossier&nom=$file_url\"><img 
                src=\"mini/$dossier/$file_name\" border='0'></a>&nbsp;";
    }
    elseif (ereg ("(.*)\.(avi|AVI|mpg|MPG|mp4|MP4|mov|MOV)", $file_name))  {
      $echo.="<br>VIDEO : <a href=\"$dossier/$file_name\">$file_name</a><br>";
    }
  }
  $echo.="</td><td bgcolor=#" .hex_color(-30). " valign =top width=520px>";

  $plein_ecran="<script>
          function pop(){	window.open(\"slideshow.php?dossier=$dossier\",'fs','fullscreen=yes'); }
          function rec(){	window.open(\"slideshow.php?dossier=$dossier&recursive=1\",'fs','fullscreen=yes'); }
                  </script>";
  if(isset($jpg_existe)) $plein_ecran.=" :: <a href=\"javascript:pop()\">"._FS." </a>";
  $plein_ecran.=" :: <a href=\"javascript:rec()\">"._RC."</a> :: ";
  $debut="
          <td  colspan=2>
                  <table width=100%>
                          <tr>
                          <td bgcolor=#" .hex_color(15). " align=left valign=center>
                                  $dossierjoli
                          </td>
                          <td bgcolor=#" .hex_color(15). " align=right>
                                  $plein_ecran
                          </td>
                          <td bgcolor=#" .hex_color(15). " align=right>
                                  <a href=help.php>::"._AIDE."::</a>
                          </td>
                          <td bgcolor=#" .hex_color(15). " align=right>
                                  <a href=" .$_SERVER['PHP_SELF']. "?dossier=$parent>
                                  ::"._RETOUR."::</a>
                          </td>
                          </tr>
                  </table>
          </td>
  </tr>
  <tr>
          <script>
          document.write('<td bgcolor=#" .hex_color(-30). " valign=top width=',document.body.clientWidth - 524,'>')</script>";



  if ($nom!="")
  {
          if (ereg (_IMAGES_ACCEPTEES, $nom))
          {
                  if (!file_exists("cache/$dossier/$nom"))cree_mini($dossier,$nom,'cache',384,1,1);
                  $echo.="
                          <a href='$dossier/$nom'>
                          <img src=\"cache/$dossier/$nom\" border='0'>
                          </a><br>";
                  $iptc=commentaires($dossier.'/'.str_replace("\'","'",$nom));
                  $echo.='<h3>'.$iptc['commentaire'].'</h3>'.$iptc['keyword'];
          }
          else
          {
                  $chemin_ogv = dirname($_SERVER['PHP_SELF'])."/{$dossier}/{$nom}";
                  $echo.="<object data='itheora/index.php?v=$chemin_ogv' type='text/html' style='width: 340px; height: 280px;'></object>";
          }
  }
  //////////////////////////////////////////////////////////////////////////////////////
  elseif (isset($jpg_existe))  {
          $echo.= "
                  <script type='text/javascript'>
                          function startGallery() {
                                  var myGallery = new gallery($('myGallery'), {
                                          timed: true,
                                          defaultTransition: 'fadeslideleft'
                                  });
                          }
                          window.addEvent('domready', startGallery);
                  </script>
                  <div class='content'>
                          <div id='myGallery'>";
          
          foreach ($files as $file_name) {
                  $ignorer = file_exists("$dossier/".substr_replace($file_name, 'ogv', strlen($file_name)-3));
                  if (!$ignorer && ereg (_IMAGES_ACCEPTEES, $file_name)) {
                          if (!file_exists("mini/$dossier/$file_name"))cree_mini($dossier,$file_name,'mini',_MINI_HEIGHT,0);
                          if (!file_exists("cache/$dossier/$file_name"))cree_mini($dossier,$file_name,'cache',384,1,512);
                          $iptc=commentaires("$dossier/$file_name");
                          $echo.="
                          <div class='imageElement'>
                                  <h3>".$iptc['commentaire']."</h3>
                                  <p>{$iptc['keyword']}</p>
                                  <a href=\"$dossier/$file_name\" title='ouvrir la photo' class='open'></a>
                                  <img src=\"cache/$dossier/$file_name\" class='full' />
                                  <img src=\"mini/$dossier/$file_name\" class='thumbnail' />
                          </div>";
                  }
          }
          $echo.= "</div>
          </div>";
  }
  //////////////////////////////////////////////////////////////////////////////////////
  $echo.= "</td>";
  echo $debut.$echo;
}
?>

<html>
<HEAD>
<TITLE>VeSPA</TITLE>
	<META HTTP-EQUIV="EXPIRES" CONTENT="0">
	<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<link REL="shortcut icon" HREF="favicon.png" TYPE="image/x-png">
	<link rel="stylesheet" href="css/layout.css" type="text/css" media="screen" charset="utf-8" />
	<link rel="stylesheet" href="css/jd.gallery.css" type="text/css" media="screen" charset="utf-8" />
	<script src="scripts/mootools.v1.11.js" type="text/javascript"></script>
	<script src="scripts/jd.gallery.js" type="text/javascript"></script>
	<script src="scripts/jd.gallery.transitions.js" type="text/javascript"></script>
</HEAD>
<body bgcolor=#000000>
 <table border=0 align=center width=100%>
	<tr>
<?php
//LA BASE ************************************************************************************
if (isset($_GET['dossier']) && is_dir($_GET['dossier']) && $_GET['dossier']!=".")
	$dossier=$_GET['dossier'];
else
	$dossier=_FOLDER;

$dossierjoli=url_dossier($dossier);
$nom="";
// Protection contre les attaques par remontée d'arborescence
$dossier = str_replace("..","",$dossier);
// Merci S4turn pour les caractères spéciaux
if ( isset($_GET['nom']) ) $nom = str_replace(array("ecomercial","\'"),array("&","'"), $_GET['nom']);
show_photos($dossier,$nom,$dossierjoli);
?>
		
	</tr>
</table>
<center><font color=#<?php echo hex_color(30);?> size=-3>

<A href="http://jjorge.free.fr/vespa">VESPA :: VEry Simple Photo Album :: Version 7.8</A> <?php echo _PAR;?> <a href="mailto:jjorge EM free.fr">José JORGE</a> :: 09 <?php echo strftime('%B',3600*24*180);?> 2010

</font></center></body>
</html>
